.\" $NetBSD: towctrans.3,v 1.5 2004/01/24 16:58:54 wiz Exp $
.\"
.\" Copyright (c)2003 Citrus Project,
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd March 4, 2003
.Dt TOWCTRANS 3
.Os
.\" ----------------------------------------------------------------------
.Sh NAME
.Nm towctrans
.Nd convert a wide character with a specified map
.\" ----------------------------------------------------------------------
.Sh LIBRARY
.Lb libc
.\" ----------------------------------------------------------------------
.Sh SYNOPSIS
.In wctype.h
.Ft wint_t
.Fn towctrans "wint_t wc" "wctrans_t charmap"
.\" ----------------------------------------------------------------------
.Sh DESCRIPTION
The
.Fn towctrans
function converts a wide character
.Fa wc
with a character mapping
.Fa charmap .
.Pp
The behaviour of
.Fn towctrans
is undefined if the
.Fn towctrans
function is called with an invalid
.Fa charmap
(changes of
.Dv LC_CTYPE
category invalidate
.Fa charmap )
or invalid wide character
.Fa wc .
.Pp
The behaviour of
.Fn towctrans
is affected by the
.Dv LC_CTYPE
category of the current locale.
.\" ----------------------------------------------------------------------
.Sh RETURN VALUES
.Fn towctrans
returns the resulting character of the conversion.
.\" ----------------------------------------------------------------------
.Sh ERRORS
No errors are defined.
.\" ----------------------------------------------------------------------
.Sh SEE ALSO
.Xr iswctype 3 ,
.Xr setlocale 3 ,
.Xr wctrans 3 ,
.Xr wctype 3
.\" ----------------------------------------------------------------------
.Sh STANDARDS
The
.Fn towctrans
function conforms to
.St -isoC-amd1 .
